Package com.usatiuk.dhfs.jmap

# Record Class JMapLongKey

java.lang.Object
java.lang.Record
com.usatiuk.dhfs.jmap.JMapLongKey

All Implemented Interfaces:
  `JMapKey`, `Serializable`, `Comparable<JMapKey>`

public record JMapLongKey(long key) extends Record implements JMapKey, Comparable<JMapKey>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMapLongKey(long key)`
Creates an instance of a `JMapLongKey` record class.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(JMapKey o)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`key()`
Returns the value of the `key` record component.
`static JMapLongKey`
`max()`
`static JMapLongKey`
`of(long key)`
`String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMapLongKey

public JMapLongKey(long key)
Creates an instance of a `JMapLongKey` record class.

Parameters:
  `key` - the value for the `key` record component

## Method Details

### of

public static JMapLongKey of(long key)

### max

public static JMapLongKey max()

### toString

public String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### compareTo

public int compareTo(@Nonnull JMapKey o)

Specified by:
  `compareTo` in interface `Comparable<JMapKey>`

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### key

public long key()
Returns the value of the `key` record component.

Returns:
  the value of the `key` record component